View Issue Details

IDProjectCategoryView StatusLast Update
14222Bug reports[All Projects] Response browsingpublic2018-11-13 16:08
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status assignedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary14222: When deleting a single response : all page is reloaded and current filter lost
Description

With urlFormat => path , deleting single reponse work. But whole page is reloaded.
Select multiple reponse : use Mass action : only grid is reloaded

Steps To Reproduce

Have some reponse, and compare

  1. delete a single one with action button
  2. check one reponse, delete with massAction
Additional Information

Currently still using old sendPost function. Must move to real XHR
Can be done one by one but think need a good way to add this more easily on all grid.

TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Operating System (Server)
Webserver software & version
PHP Version

Relationships

related to 14221 assignedDenisChenu No XSS control when delete a token 
related to 14219 closedDenisChenu Unable to quick delete reponse with urlFormat to get 
related to 14159 resolvedDenisChenu Cannot delete response 
related to 14243 new filter in CPDB l=grid disable button action 

Activities

DenisChenu

DenisChenu

2018-11-06 23:13

developer   ~49561

Last edited: 2018-11-06 23:18

View 3 revisions

https://www.yiiframework.com/doc/api/1.1/CGridView delete use POST action (with only CRSF token for data)

We can add button : https://www.yiiframework.com/wiki/593/yii-cgridview-add-custom-button

See https://www.yiiframework.com/wiki/106/using-cbuttoncolumn-to-customize-buttons-in-cgridview too

DenisChenu

DenisChenu

2018-11-11 19:08

developer   ~49604

https://github.com/LimeSurvey/LimeSurvey/pull/1166

DenisChenu

DenisChenu

2018-11-12 17:20

developer   ~49617

Fix committed to master_fixDeleteResponse_urlget branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28502

DenisChenu

DenisChenu

2018-11-13 12:40

developer   ~49626

And current filter is lost

DenisChenu

DenisChenu

2018-11-13 16:08

developer   ~49630

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28517

Related Changesets

LimeSurvey: master_fixDeleteResponse_urlget a2c478e6

2018-11-08 09:30:42

DenisChenu

Details Diff
Fixed issue 14219: Unable to quick delete reponse with urlFormat to get
Fixed issue 14222: When deleting a single response : all page is reloaded (not only grid)
Dev: usage of CButtonColumn
Dev: return real error, show it in alert
Dev: LS need a system to show result after ajax …
Dev: i don't find it
mod - application/controllers/admin/responses.php Diff File
mod - application/helpers/admin/ajax_helper.php Diff File
mod - application/models/SurveyDynamic.php Diff File
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - assets/scripts/admin/listresponse.js Diff File

LimeSurvey: master eee87c82

2018-11-13 16:08:09

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14222: When deleting a single response : all page is reloaded and current filter lost

Fixed issue 14221: [security] No XSS control when delete a token
mod - application/controllers/admin/participantsaction.php Diff File
mod - application/controllers/admin/responses.php Diff File
mod - application/controllers/admin/tokens.php Diff File
mod - application/helpers/admin/ajax_helper.php Diff File
mod - application/models/Participant.php Diff File
mod - application/models/SurveyDynamic.php Diff File
mod - application/models/TokenDynamic.php Diff File
mod - application/views/admin/participants/displayParticipants_view.php Diff File
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - assets/packages/adminbasics/build/adminbasics.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.debug.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.js Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.css Diff File
mod - assets/packages/adminbasics/build/adminbasics.min.js Diff File
add - assets/packages/adminbasics/scss/grid.scss Diff File
mod - assets/packages/adminbasics/scss/main.scss Diff File
mod - assets/packages/adminbasics/src/adminbasicsmain.js Diff File
add - assets/packages/adminbasics/src/components/gridAction.js Diff File
mod - assets/scripts/admin/tokens.js Diff File

Issue History

Date Modified Username Field Change
2018-11-06 22:55 DenisChenu New Issue
2018-11-06 22:55 DenisChenu Relationship added related to 14221
2018-11-06 22:55 DenisChenu Relationship added related to 14219
2018-11-06 23:13 DenisChenu Note Added: 49561
2018-11-06 23:16 DenisChenu Note Edited: 49561 View Revisions
2018-11-06 23:18 DenisChenu Note Edited: 49561 View Revisions
2018-11-08 09:26 DenisChenu Project Development => Bug reports
2018-11-09 18:34 DenisChenu Relationship added related to 14159
2018-11-09 19:24 DenisChenu Assigned To => DenisChenu
2018-11-09 19:24 DenisChenu Status new => assigned
2018-11-11 19:08 DenisChenu Note Added: 49604
2018-11-12 17:20 DenisChenu Changeset attached => LimeSurvey master_fixDeleteResponse_urlget a2c478e6
2018-11-12 17:20 DenisChenu Note Added: 49617
2018-11-12 17:20 DenisChenu Resolution open => fixed
2018-11-13 12:17 DenisChenu Relationship added related to 14243
2018-11-13 12:40 DenisChenu Note Added: 49626
2018-11-13 12:40 DenisChenu Product Version 3.x =>
2018-11-13 12:40 DenisChenu Summary When deleting a single response : all page is reloaded (not only grid) => When deleting a single response : all page is reloaded and current filter lost
2018-11-13 16:08 DenisChenu Changeset attached => LimeSurvey master eee87c82
2018-11-13 16:08 DenisChenu Note Added: 49630